# Copyright 1999-2020 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2

EAPI=7

inherit desktop git-r3 qmake-utils xdg-utils

EGIT_REPO_URI="https://github.com/riuson/${PN}.git"
EGIT_BRANCH="develop"
EGIT_COMMIT="52ca14a0aa93cd38cf6b3852b94122cc5c0ef157"

DESCRIPTION="Tool to create bitmaps and fonts for embedded applications."
HOMEPAGE="https://lcd-image-converter.riuson.com"


LICENSE="GPL-3"
SLOT="0"
KEYWORDS="amd64 x86"
IUSE=""

DEPEND="
	dev-qt/qtdeclarative:5
	dev-qt/qtcore:5
	dev-qt/qtgui:5
	dev-qt/qtwidgets:5
	dev-qt/qtsvg:5
"
RDEPEND="
	${DEPEND}
	dev-qt/qtxmlpatterns:5
"

src_configure() {
	eqmake5
}

src_install() {
	dobin release/linux/output/${PN}
	domenu ${FILESDIR}/${PN}.desktop
	newicon resources/icons/lcd-image-converter-96.png lcd-image-converter.png
}

pkg_postinst() {
	xdg_icon_cache_update
	xdg_desktop_database_update
}

pkg_postrm() {
	xdg_icon_cache_update
	xdg_desktop_database_update
}
