# Copyright 1999-2018 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2

EAPI=6

MY_P="newrpl-${PV}"
inherit desktop qmake-utils git-r3

DESCRIPTION="The classic RPL programming language reimplemented and reimagined."
HOMEPAGE="https://newrpl.wiki.hpgcc3.org/doku.php?id=start"
EGIT_REPO_URI="https://git.code.sf.net/p/newrpl/sources"
EGIT_COMMIT="79221b2eda5a13fa45ae5a1745d1f74aa107de29"

LICENSE="BSD"
SLOT="0"
KEYWORDS="amd64 x86"
IUSE=""

RDEPEND="dev-qt/qtcore:5
	dev-qt/qtgui:5
	dev-qt/qtnetwork:5
	dev-qt/qtwidgets:5"
DEPEND="${RDEPEND}"

S="${WORKDIR}/${MY_P}"

#src_prepare() {
#	default
#
#	if ! use test ; then
#		sed -i '/SUBDIRS += src /s/tests //' \
#			qtpass.pro || die "sed for qtpass.pro failed"
#	fi
#}

src_configure() {
	cd ${S}/tools/elf2rom
	eqmake5
	emake
	emake install
	cd ${S}
	eqmake5 newrpl-comp.pro
	emake
	emake install
	emake clean
	rm Makefile
	eqmake5 newrpl-ui.pro
}

src_install() {
	dobin newrpl-ui
}
